--- /dev/null	Thu Apr  2 18:43:04 2015
+++ new/usr/src/test/libc-tests/cfg/symbols/sys_stat_h.cfg	Thu Apr  2 18:43:04 2015
@@ -0,0 +1,58 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+#
+# Copyright 2015 Garrett D'Amore <garrett@damore.org>
+#
+
+#
+# Definitions found in sys/stat.h
+#
+
+#
+# Types.
+#
+type |	mode_t		| sys/stat.h | ALL
+type |	struct stat	| sys/stat.h | ALL
+
+#
+# Values.
+#
+value | S_IFMT		| mode_t | sys/stat.h | ALL
+value |	S_IFBLK		| mode_t | sys/stat.h | ALL
+
+#
+# Functions
+#
+func |	chmod							|\
+	int							|\
+	const char *; mode_t					|\
+	sys/stat.h | POSIX+ XPG3+
+
+func |	fchmod							|\
+	int							|\
+	int; mode_t						|\
+	sys/stat.h | -POSIX+ -XPG3+ POSIX-1993+ SUS+	
+
+func |	fstat							|\
+	int							|\
+	int; struct stat *					|\
+	sys/stat.h | XPG3+ POSIX+
+
+func |	mkdir							|\
+	int							|\
+	const char *; mode_t					|\
+	sys/stat.h | XPG3+ POSIX+
+
+func |	mknod							|\
+	int							|\
+	const char *; mode_t; dev_t				|\
+	sys/stat.h | -XPG3+ -POSIX+ SUS+
